details {
  max-width: 52rem;
  border-top: 1px solid #aaa;
}

details summary {
  padding: 0.8rem;
  font-weight: 600;
  font-size: 21px;
  cursor: pointer;
  transition: 250ms;
}

details:last-of-type {
  border-bottom: 1px solid #aaa;
}

details p {
  margin: 0 1.5rem 0;
}

details[open] {
  padding-bottom: 1rem;
  transition: all 400ms;
}

details[open] summary {
  margin-bottom: 1rem;
  background-color: #e7e9f9;
}

@media (min-width: 560px) {
  details {
    width: 420px;
  }
}
